<?php
include_once("../incs/conf.php");
include_once("../incs/fmysql.php");
include_once("../incs/fnc2.php");
include_once("../incs/head2.php");
head("Админ панель - Редактировать профиль",$meuser,$auth);

if($on==1 && $user[level]>=9){
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Админ панель</a> - Редактировать профиль</div>";

$id=fil($_GET['id']);

$my=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$id'"));

if(isset($_POST['save_user_set'])){
if (isset($_POST['ank_name']) && filtr(($_POST['ank_name']))<=32)
{
$my['ank_name']=filtr($_POST['ank_name']);
mysql_query("UPDATE `user` SET `ank_name` = '$my[ank_name]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Имя не может быть длиннее 32 символов';

if (isset($_POST['ank_fam']) && filtr(($_POST['ank_fam']))<=32)
{
$my['ank_fam']=filtr($_POST['ank_fam']);
mysql_query("UPDATE `user` SET `ank_fam` = '$my[ank_fam]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Фамилия не может быть длиннее 32 символов';

if (isset($_POST['ank_ot']) && filtr(($_POST['ank_ot']))<=32)
{
$my['ank_ot']=filtr($_POST['ank_ot']);
mysql_query("UPDATE `user` SET `ank_ot` = '$my[ank_ot]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Отчество не может быть длиннее 32 символов';

if (isset($_POST['ank_d_r']) && (is_numeric($_POST['ank_d_r']) && $_POST['ank_d_r']>0 && $_POST['ank_d_r']<=31 || $_POST['ank_d_r']==NULL))
{
$my['ank_d_r']=$_POST['ank_d_r'];
if ($my['ank_d_r']==null)$my['ank_d_r']='null';
mysql_query("UPDATE `user` SET `ank_d_r` = $my[ank_d_r] WHERE `id` = '$id' LIMIT 1");
if ($my['ank_d_r']=='null')$my['ank_d_r']=NULL;
}
else $err='Неверный формат дня рождения';

if (isset($_POST['ank_m_r']) && (is_numeric($_POST['ank_m_r']) && $_POST['ank_m_r']>0 && $_POST['ank_m_r']<=12 || $_POST['ank_m_r']==NULL))
{
$my['ank_m_r']=$_POST['ank_m_r'];
if ($my['ank_m_r']==null)$my['ank_m_r']='null';
mysql_query("UPDATE `user` SET `ank_m_r` = $my[ank_m_r] WHERE `id` = '$id' LIMIT 1");
if ($my['ank_m_r']=='null')$my['ank_m_r']=NULL;
}
else $err='Неверный формат месяца рождения';

if (isset($_POST['ank_g_r']) && (is_numeric($_POST['ank_g_r']) && $_POST['ank_g_r']>0 && $_POST['ank_g_r']<=date('Y') || $_POST['ank_g_r']==NULL))
{
$my['ank_g_r']=$_POST['ank_g_r'];
if ($my['ank_g_r']==null)$my['ank_g_r']='null';
mysql_query("UPDATE `user` SET `ank_g_r` = $my[ank_g_r] WHERE `id` = '$id' LIMIT 1");
if ($my['ank_g_r']=='null')$my['ank_g_r']=NULL;
}
else $err='Неверный формат года рождения';

if (isset($_POST['ank_city']) && filtr($_POST['ank_city'])<=32)
{
$my['ank_city']=filtr($_POST['ank_city']);
mysql_query("UPDATE `user` SET `ank_city` = '$my[ank_city]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Название города не может быть длиннее 32 символов';

if (isset($_POST['status']) && filtr($_POST['status'])<=80)
{
$my['status']=filtr($_POST['status']);
mysql_query("UPDATE `user` SET `status` = '$my[status]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Статус не может быть длиннее 80 символов';

if (isset($_POST['ank_icq']) && (is_numeric($_POST['ank_icq']) && strlen($_POST['ank_icq'])>=5 && strlen($_POST['ank_icq'])<=9 || $_POST['ank_icq']==NULL))
{
$my['ank_icq']=$_POST['ank_icq'];
if ($my['ank_icq']==null)$my['ank_icq']='null';
mysql_query("UPDATE `user` SET `ank_icq` = $my[ank_icq] WHERE `id` = '$id' LIMIT 1");
if ($my['ank_icq']=='null')$my['ank_icq']=NULL;
}
else $err='Неверный формат ICQ';

if (isset($_POST['ank_n_tel']) && (is_numeric($_POST['ank_n_tel']) && strlen($_POST['ank_n_tel'])>=5 && strlen($_POST['ank_n_tel'])<=11 || $_POST['ank_n_tel']==NULL))
{
$my['ank_n_tel']=$_POST['ank_n_tel'];
mysql_query("UPDATE `user` SET `ank_n_tel` = '$my[ank_n_tel]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Неверный формат номера телефона';

if (isset($_POST['ank_mail']) && (eregi('^[^@]*@[^@]*\.[^@]*$',$_POST['ank_mail']) || $_POST['ank_mail']==NULL))
{
$my['ank_mail']=filtr($_POST['ank_mail']);
mysql_query("UPDATE `user` SET `ank_mail` = '$my[ank_mail]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Неверный E-mail';


if (isset($_POST['ank_o_sebe']) && filtr($_POST['ank_o_sebe'])<=512)
{
$my['ank_o_sebe']=filtr($_POST['ank_o_sebe']);
mysql_query("UPDATE `user` SET `ank_o_sebe` = '$my[ank_o_sebe]' WHERE `id` = '$id' LIMIT 1");
}
else $err='О себе нужно писать меньше :)';

if (isset($_POST['ank_o_sebe']) && filtr($_POST['ank_o_sebe'])<=512)
{
$my['ank_o_sebe']=filtr($_POST['ank_o_sebe']);
mysql_query("UPDATE `user` SET `ank_o_sebe` = '$my[ank_o_sebe]' WHERE `id` = '$id' LIMIT 1");
}
else $err='О себе нужно писать меньше :)';

if (isset($_POST['msg_for_page']) && filtr($_POST['msg_for_page'])<=100)
{
$my['msg_for_page']=filtr($_POST['msg_for_page']);
mysql_query("UPDATE `user` SET `msg_for_page` = '$my[msg_for_page]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Пунктов на страницу должно быть меньше :)';

if (isset($_POST['money']) && (is_numeric($_POST['money']) && strlen($_POST['money'])>=0 && strlen($_POST['money'])<=12 || $_POST['money']==NULL))
{
$my['money']=$_POST['money'];
mysql_query("UPDATE `user` SET `money` = '$my[money]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Неверно заполнили поле деньги';

if (isset($_POST['rating']) && (is_numeric($_POST['rating']) && strlen($_POST['rating'])>=0 && strlen($_POST['rating'])<=12 || $_POST['rating']==NULL))
{
$my['rating']=$_POST['rating'];
mysql_query("UPDATE `user` SET `rating` = '$my[rating]' WHERE `id` = '$id' LIMIT 1");
}
else $err='Неверно заполнили поле рейтинг';

if (isset($_POST['online_pom']))
{
$my['online_pom']=$_POST['online_pom'];
mysql_query("UPDATE `user` SET `online_pom` = '$my[online_pom]' WHERE `id` = '$id' LIMIT 1");
}

if (isset($_POST['level']))
{
$my['level']=$_POST['level'];
mysql_query("UPDATE `user` SET `level` = '$my[level]' WHERE `id` = '$id' LIMIT 1");
}

if (isset($_POST['pass']) && $_POST['pass']!="")
{
$new_pass=filtr($_POST['pass']);
$my['pass']=md5($new_pass);
mysql_query("UPDATE `user` SET `pass` = '$my[pass]' WHERE `id` = '$id' LIMIT 1");
}

echo "$err<br>";
if (!isset($err))echo "Настройки анкеты успешно сохранены";
}

echo "<form method='post' action='?id=$id'>";
echo "Имя:<br><input type='text' name='ank_name' value='$my[ank_name]' maxlength='32' /><br>";
echo "Фамилия:<br><input type='text' name='ank_fam' value='$my[ank_fam]' maxlength='32' /><br>";
echo "Отчество:<br><input type='text' name='ank_ot' value='$my[ank_ot]' maxlength='32' /><br>";
echo "Дата рождения:<br>";
echo "<input type='text' name='ank_d_r' value='$my[ank_d_r]' size='2' maxlength='2' />";
echo "<input type='text' name='ank_m_r' value='$my[ank_m_r]' size='2' maxlength='2' />";
echo "<input type='text' name='ank_g_r' value='$my[ank_g_r]' size='4' maxlength='4' /><br>";
echo "Город:<br><input type='text' name='ank_city' value='$my[ank_city]' maxlength='32' /><br>";
echo "ICQ:<br><input type='text' name='ank_icq' value='$my[ank_icq]' maxlength='9' /><br>";
echo "E-mail:<br><input type='text' name='ank_mail' value='$my[ank_mail]' maxlength='32' /><br>";
echo "Cтатус :<br><input type='text' name='status' value='$my[status]' maxlength='32' /><br>";
echo "Номер телефона:<br><input type='text' name='ank_n_tel' value='$my[ank_n_tel]' maxlength='11' /><br>";
echo "О себе:<br><input type='text' name='ank_o_sebe' value='$my[ank_o_sebe]' maxlength='512' /><br>";
echo "Пунктов на страницу:<br />\n<input type='text' name='msg_for_page' value='$my[msg_for_page]' maxlength='3' /><br>";
if($user[level]>=9 && $user[level]>$my[level]){echo "Деньги:<br><input type='text' name='money' value='$my[money]' maxlength='12' /><br>";}
if($user[level]>=9 && $user[level]>$my[level]){echo "Рейтинг:<br><input type='text' name='rating' value='$my[rating]' maxlength='12' /><br>";}

echo "Online-помощник:<br><select name=\"online_pom\"><br>";
if ($my['online_pom']==1)$pok='selected="selected"';else $pok=NULL;
echo "<option value=\"1\"$pok>Да</option>";
if ($my['online_pom']==0)$pok='selected="selected"';else $pok=NULL;
echo "<option value=\"0\"$pok>Нет</option>";
echo "</select><br>";

if($user[level]==11 && $user[id]!=$id){
echo "Статус:<br><select name=\"level\"><br>";
if ($my['level']==0)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"0\"$pok>Пользователь</option>";
if ($my['level']==1)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"1\"$pok>VIP-Пользователь</option>";
if ($my['level']==2)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"2\"$pok>Модератор чата</option>";
if ($my['level']==3)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"3\"$pok>Модератор форума</option>";
if ($my['level']==4)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"4\"$pok>Модератор ЗЦ</option>";
if ($my['level']==5)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"5\"$pok>Модератор чата и форума</option>";
if ($my['level']==6)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"6\"$pok>Модератор чата и ЗЦ</option>";
if ($my['level']==7)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"7\"$pok>Модератор ЗЦ и форума</option>";
if ($my['level']==8)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"8\"$pok>Модератор чата, ЗЦ, форума</option>";
if ($my['level']==9)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"9\"$pok>Старшый Модератор</option>";
if ($my['level']==10)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"10\"$pok>Администратор</option>";
if ($my['level']==11)$pok=' selected="selected"';else $pok=NULL;
echo "<option value=\"11\"$pok>Создатель</option>";
echo "</select><br>";}
if ($user['level']>=10 && $user[level]>$my[level] && $user[id]!=$id){echo "Новый пароль:<br />\n<input type='text' name='pass' value='' /><br>";}

echo "<input type='submit' name='save_user_set' value='Сохранить' />";
echo "</form>\n";

include_once("../incs/down2.php");

}else{
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "Админ панель - Редактировать профиль</div>";
echo "Извени, но тебе здесь находитса нельзя!<br>";
}
include_once("../incs/down2.php");
?>